edu.cmu.pslc.logging.element

## Class ActionEvaluationElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.ActionEvaluationElement

-     public class ActionEvaluationElement
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CORRECT`
    `static java.lang.String` | `HINT`
    `static java.lang.String` | `INCORRECT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionEvaluationElement(java.lang.String evaluation)`
    `ActionEvaluationElement(java.lang.String currentHintNumber, java.lang.String totalHintsAvailable, java.lang.String hintId, java.lang.String classification, java.lang.String evaluation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ActionEvaluationElement` | `createCorrect()`
    `static ActionEvaluationElement` | `createHint()`
    `static ActionEvaluationElement` | `createIncorrect()`
    `java.lang.String` | `getClassification()`
    `java.lang.String` | `getCurrentHintNumber()`
    `java.lang.String` | `getEvaluation()`
    `java.lang.String` | `getHintId()`
    `java.lang.String` | `getTotalHintsAvailable()`
    `void` | `setClassification(java.lang.String classification)`
    `void` | `setCurrentHintNumber(java.lang.String currentHintNumber)`
    `void` | `setEvaluation(java.lang.String evaluation)`
    `void` | `setHintId(java.lang.String hintId)`
    `void` | `setTotalHintsAvailable(java.lang.String totalHintsAvailable)`
    `java.lang.String` | `toString()` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CORRECT

          public static final java.lang.String CORRECT

      See Also:
        Constant Field Values

    - #### INCORRECT

          public static final java.lang.String INCORRECT

      See Also:
        Constant Field Values

    - #### HINT

          public static final java.lang.String HINT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActionEvaluationElement

          public ActionEvaluationElement(java.lang.String evaluation)

    - #### ActionEvaluationElement

          public ActionEvaluationElement(java.lang.String currentHintNumber,
                                 java.lang.String totalHintsAvailable,
                                 java.lang.String hintId,
                                 java.lang.String classification,
                                 java.lang.String evaluation)

  - ### Method Detail

    - #### createCorrect

          public static ActionEvaluationElement createCorrect()

    - #### createIncorrect

          public static ActionEvaluationElement createIncorrect()

    - #### createHint

          public static ActionEvaluationElement createHint()

    - #### getClassification

          public java.lang.String getClassification()

    - #### setClassification

          public void setClassification(java.lang.String classification)

    - #### getCurrentHintNumber

          public java.lang.String getCurrentHintNumber()

    - #### setCurrentHintNumber

          public void setCurrentHintNumber(java.lang.String currentHintNumber)

    - #### getEvaluation

          public java.lang.String getEvaluation()

    - #### setEvaluation

          public void setEvaluation(java.lang.String evaluation)

    - #### getHintId

          public java.lang.String getHintId()

    - #### setHintId

          public void setHintId(java.lang.String hintId)

    - #### getTotalHintsAvailable

          public java.lang.String getTotalHintsAvailable()

    - #### setTotalHintsAvailable

          public void setTotalHintsAvailable(java.lang.String totalHintsAvailable)

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center